The BOOST_PP_REPEAT_FROM_TO_2ND macro represents the second dimension of BOOST_PP_REPEAT_FROM_TO.

#### Usage

BOOST_PP_REPEAT_FROM_TO_2ND(first, last, macro, data)

#### Arguments

first
  The lower bound of the repetition. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
last
  The upper bound of the repetition. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
macro
  A ternary operation of the form macro(z, n, data). This macro is expanded by BOOST_PP_REPEAT_FROM_TO_2ND with the next available repetition depth, the current repetition number, and the auxiliary data argument.
data
  Auxiliary data passed to macro.

#### Remarks

This macro expands to the sequence:
macro(z, first, data) macro(z, first + 1, data) ... macro(z, last - 1, data)
The number of repetitions (i.e. last - first) must not exceed BOOST_PP_LIMIT_REPEAT.
The z value that is passed to macro represents the next available repetition dimension. Other macros that have _Z suffix variants internally use BOOST_PP_REPEAT--for example, BOOST_PP_ENUM_PARAMS and BOOST_PP_ENUM_PARAMS_Z. Using these _Z versions is not strictly necessary, but passing the z value (that is passed to macro) to these macros allows them to reenter BOOST_PP_REPEAT with maximum efficiency.
To directly use this z value, rather than simply passing it to another macro, see BOOST_PP_REPEAT_FROM_TO_z.
This macro is deprecated. It only exists for backward compatibility. Use BOOST_PP_REPEAT_FROM_TO instead.

#### See Also

- BOOST_PP_LIMIT_MAG
- BOOST_PP_LIMIT_REPEAT
- BOOST_PP_REPEAT_FROM_TO_z

#### Requirements

Header: <boost/preprocessor/repetition/repeat_from_to.hpp>

#### Sample Code

    #include <boost/preprocessor/repetition/repeat_from_to.hpp>

    #define MACRO(z, n, data) (n)

    BOOST_PP_REPEAT_FROM_TO_2ND(1, 6, MACRO, nil)
       // expands to (1) (2) (3) (4) (5)